%{!?upstream_version: %global upstream_version %{commit}}
%if 0%{?dlrn}
%define upstream_name puppet-opendaylight
%else
%define upstream_name integration-packaging-puppet-opendaylight
%endif
%global commit 9126c8d5084820d61c7def8ce3a48f2eff4f4124
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%{?dlrn: %global tarsources %{sname}-%{upstream_version}}
%{!?dlrn: %global tarsources package}


Name:           puppet-opendaylight
Version:        8.2.2
Release:        5%{?alphatag}%{?dist}
Summary:        Puppet module that installs and configures the OpenDaylight SDN controller
License:        BSD-2-Clause

URL:            https://github.com/opendaylight/%{upstream_name}

Source0:        https://github.com/opendaylight/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.2.2
Patch0001: 0001-Disable-OF-statics-polling.patch
Patch0002: 0002-Upgrade-Beaker-3-to-4.patch
Patch0003: 0003-Add-support-for-IPv6-Deployment.patch
Patch0004: 0004-Fix-karaf-log-rotation.patch
Patch0005: 0005-Binds-OpenFlow-and-OVSDB-IPs.patch
Patch0006: 0006-Disable-intermittently-failing-curl-in-tests.patch
Patch0007: 0007-Adds-inactivity-probe-configuration.patch
Patch0008: 0008-Support-multiple-argumets-for-EXTRA_JAVA_OPTS.patch
Patch0009: 0009-Parametrize-the-logging-pattern-to-use.patch
Patch0010: 0010-Add-boolean-flag-to-disable-the-PaxOsgi-appender.patch

BuildArch:      noarch

Requires:       puppet-stdlib
#Requires:       puppet-archive
Requires:       puppet-java
Requires:       puppet >= 2.7.0

%description
Puppet module that installs and configures the OpenDaylight SDN controller

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/opendaylight/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/opendaylight/



%files
%{_datadir}/openstack-puppet/modules/opendaylight/


%changelog
* Mon Dec 17 2018 Daniel Farrell <dfarrell@redhat.com> 8.2.2-5.e32177bgit
- Add boolean flag to disable the PaxOsgi appender (rhbz#1650576)
- Parametrize the logging pattern to use (rhbz#1650576)

* Tue Nov 27 2018 Janki Chhatbar <jchhatba@redhat.com> 8.2.2-4.09990ffgit
- Support multiple argumets for EXTRA_JAVA_OPTS (rhbz#1622763)
- Adds inactivity probe configuration (rhbz#1609037)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 8.2.2-3.4003c00git
- Disable intermittently failing curl in tests
- Binds OpenFlow and OVSDB IPs
- Fix karaf log rotation
- Add support for IPv6 Deployment
- Upgrade Beaker 3 to 4

* Mon Jul 23 2018 Tim Rozet <trozet@redhat.com> 8.2.2-2.6ad52fcgit
- Disable OF statics polling (rhbz#1599805)

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 8.2.2-1.4fef98fgit
- Update to 8.2.2
- Add "direct" option for logging to console. (rhbz#1570635)

* Fri Jun 29 2018 Tim Rozet <trozet@redhat.com> 8.1.2-2.c30da96git
- INTPAK-185 Binds karaf to ODL IP (rhbz#1594333)

* Tue May 01 2018 Jon Schlueter <jschluet@redhat.com> 8.1.2-1.38977efgit
- Update to 8.1.2 (38977efdb9d7a585a1748cf6122040776ed542f1)
- INTPAK-164 Disable MD-SAL based trust store (rhbz#1571988)

* Wed Apr 25 2018 Tim Rozet <trozet@redhat.com> 8.1.0-0.20180321182557
- INTPAK-163 Fixes default ODL Java opts (rhbz#1570104)

* Thu Feb 15 2018 RDO <dev@lists.rdoproject.org> 7.0.0-1.d3b32a4git
- Update to post 7.0.0 (d3b32a4d44b9d0f345d845790737714b10d76d05)

